commit:     2dc973d7041798a198156defd1ee60a97a110a86
Author:     Amadeusz Żołnowski <aidecoe <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 17 20:47:12 2017 +0000
Commit:     Amadeusz Piotr Żołnowski <aidecoe <AT> gentoo <DOT> org>
CommitDate: Sun Dec 17 20:47:34 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2dc973d7

net-im/gajim: Bump version

Fixes the problem with >=pyopenssl-17.4.0.

Thanks to Vladimir <v_2e <AT> ukr.net>.

Gentoo-Bug: 639052
Package-Manager: Portage-2.3.18, Repoman-2.3.6

 net-im/gajim/Manifest            |   1 +
 net-im/gajim/gajim-0.16.9.ebuild | 125 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 126 insertions(+)

diff --git a/net-im/gajim/Manifest b/net-im/gajim/Manifest
index 1d95334677e..185779e14e4 100644
--- a/net-im/gajim/Manifest
+++ b/net-im/gajim/Manifest
@@ -1,2 +1,3 @@
 DIST gajim-0.16.6.tar.bz2 4564505 BLAKE2B 
0446d826afc782ceba4fe67d6c7173d60264ec1b5a227f0da62285ea1d083143b4895e4472c2df499de419f9a34c59d9afa1ac2348052defb100438782a3df46
 SHA512 
6c8c2a38429468a1e6f02aae730ff947c649960e8cc672457c1e1733ab2dad6534b1e5ac2e1c0c385e331a6ba817c6e67c1a27443632b9fd43e7ab76ad66c935
 DIST gajim-0.16.8.tar.bz2 4465521 BLAKE2B 
f3612465ab139c8e8e6101ca6fbaefce93fe2fac0929cb15ae5174b10b195319181cff3c65f3dbe39d09ea79d1c222cf82434ffea946dabd9fc2645a8b889aa9
 SHA512 
702917f5b81a5009177ad305a65398c3f8fc95e4666dbfb33ef569a7c2a494a8ea7c48133a1f8000337381b29fc63b917103e05f64686affaaedb8aa155ac0e0
+DIST gajim-0.16.9.tar.bz2 4469275 BLAKE2B 
451f09cde9d177932429b9ece900e09c58ac43b5f97cd64cf70e75d13f2261ab52ee35e02e8680c83a5d81d7574bca561532dd1327f1109b0cc872956b1a05f7
 SHA512 
d8ddae3826bbcd4458b016b3cf6b0472b41db4b9026b300b058d9cef403195e38423ff950fcbf6fed0cdbbb485a274905a9a5945028c4cbb24d1a38c72bf4cbb

diff --git a/net-im/gajim/gajim-0.16.9.ebuild b/net-im/gajim/gajim-0.16.9.ebuild
new file mode 100644
index 00000000000..462c6802b3d
--- /dev/null
+++ b/net-im/gajim/gajim-0.16.9.ebuild
@@ -0,0 +1,125 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite,xml"
+
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils gnome2-utils python-r1 versionator xdg-utils
+
+MY_PV=${PV/_/-}
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="Jabber client written in PyGTK"
+HOMEPAGE="https://www.gajim.org/";
+SRC_URI="
+       https://www.gajim.org/downloads/$(get_version_component_range 
1-2)/${MY_P}.tar.bz2"
+#      test? ( https://dev.gentoo.org/~jlec/distfiles/${PN}-tests-${PV}.tar.xz 
)"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="crypt dbus gnome gnome-keyring idle jingle libnotify networkmanager nls 
spell +srv test X xhtml zeroconf"
+
+REQUIRED_USE="
+       ${PYTHON_REQUIRED_USE}
+       libnotify? ( dbus )
+       gnome? ( gnome-keyring )
+       zeroconf? ( dbus )"
+
+COMMON_DEPEND="
+       ${PYTHON_DEPS}
+       dev-python/pygtk:2[${PYTHON_USEDEP}]
+       x11-libs/gtk+:2"
+DEPEND="${COMMON_DEPEND}
+       >=dev-util/intltool-0.40.1
+       virtual/pkgconfig
+       >=sys-devel/gettext-0.17-r1"
+RDEPEND="${COMMON_DEPEND}
+       dev-python/pyasn1[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-0.14[${PYTHON_USEDEP}]
+       >=dev-python/python-nbxmpp-0.6.1[${PYTHON_USEDEP}]
+       crypt? ( >=dev-python/python-gnupg-0.4.0[${PYTHON_USEDEP}] )
+       dbus? (
+               dev-python/dbus-python[${PYTHON_USEDEP}]
+               dev-libs/dbus-glib
+               libnotify? ( dev-python/notify-python[${PYTHON_USEDEP}] )
+               zeroconf? ( net-dns/avahi[dbus,gtk,python,${PYTHON_USEDEP}] )
+               )
+       gnome? (
+               dev-python/libgnome-python[${PYTHON_USEDEP}]
+               dev-python/egg-python[${PYTHON_USEDEP}]
+               )
+       gnome-keyring? ( dev-python/gnome-keyring-python[${PYTHON_USEDEP}] )
+       idle? ( x11-libs/libXScrnSaver )
+       jingle? ( net-libs/farstream:0.1[python,${PYTHON_USEDEP}] )
+       networkmanager? (
+                       dev-python/dbus-python[${PYTHON_USEDEP}]
+                       net-misc/networkmanager
+               )
+       spell? ( app-text/gtkspell:2 )
+       srv? (
+               || (
+                       dev-python/libasyncns-python[${PYTHON_USEDEP}]
+                       net-dns/bind-tools
+                       )
+               )
+       xhtml? ( dev-python/docutils[${PYTHON_USEDEP}] )"
+
+RESTRICT="test"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+       autotools-utils_src_prepare
+       python_copy_sources
+}
+
+src_configure() {
+       configuration() {
+               local myeconfargs=(
+                       $(use_enable nls)
+                       $(use_with X x)
+                       --docdir="/usr/share/doc/${PF}"
+                       --libdir="$(python_get_sitedir)"
+                       --enable-site-packages
+               )
+               run_in_build_dir autotools-utils_src_configure
+       }
+       python_foreach_impl configuration
+}
+
+src_compile() {
+       compilation() {
+               run_in_build_dir autotools-utils_src_compile
+       }
+       python_foreach_impl compilation
+}
+
+src_test() {
+       testing() {
+               run_in_build_dir ${PYTHON} test/runtests.py --verbose 3 || die
+       }
+       python_foreach_impl testing
+}
+
+src_install() {
+       installation() {
+               run_in_build_dir autotools-utils_src_install
+               python_optimize
+       }
+       python_foreach_impl installation
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+       xdg_desktop_database_update
+}

Reply via email to